<?php

  // session_start();
  include('../../../php/conn_2.php');
  // if(!isset($_SESSION["id"])){
  //   header('Location: index.php');
  // }

  mysqli_query($enlace, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");
  mysqli_query($enlacehost, "SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'");

  // Asigna mes por defecto cuando venga vacío
  $id = $_GET["id"];
  $filtro_encuesta = $_GET["encuesta"];
  $nom_tabla = 'tb_resultados_'.$filtro_encuesta;

?>

<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="images/favicon.ico" type="image/ico" />

    <title>Resultado de Encuesta</title>

    <!-- Bootstrap -->
    <link href="../../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="../../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="../../vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="../../vendors/iCheck/skins/flat/green.css" rel="stylesheet">
  
    <!-- bootstrap-progressbar -->
    <link href="../../vendors/bootstrap-progressbar/css/bootstrap-progressbar-3.3.4.min.css" rel="stylesheet">
    <!-- JQVMap -->
    <link href="../../vendors/jqvmap/dist/jqvmap.min.css" rel="stylesheet"/>
    <!-- bootstrap-daterangepicker -->
    <link href="../../vendors/bootstrap-daterangepicker/daterangepicker.css" rel="stylesheet">
    <!-- Datatables -->
    <link href="../../vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="../../vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="../../vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="../../vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="../../vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="../../build/css/custom.min.css" rel="stylesheet">

    <!-- jQuery -->
    <script src="../../vendorsjquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="../../vendorsbootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="../../vendorsfastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="../../vendorsnprogress/nprogress.js"></script>
    <!-- Chart.js -->
    <!-- <script src="../../vendorsChart.js/dist/Chart.min.js"></script> -->
    <!-- gauge.js -->
    <script src="../../vendorsgauge.js/dist/gauge.min.js"></script>
    <!-- bootstrap-progressbar -->
    <script src="../../vendorsbootstrap-progressbar/bootstrap-progressbar.min.js"></script>
    <!-- iCheck -->
    <script src="../../vendorsiCheck/icheck.min.js"></script>
    <!-- Skycons -->
    <script src="../../vendorsskycons/skycons.js"></script>
    <!-- Flot -->
    <script src="../../vendorsFlot/jquery.flot.js"></script>
    <script src="../../vendorsFlot/jquery.flot.pie.js"></script>
    <script src="../../vendorsFlot/jquery.flot.time.js"></script>
    <script src="../../vendorsFlot/jquery.flot.stack.js"></script>
    <script src="../../vendorsFlot/jquery.flot.resize.js"></script>
    <!-- Flot plugins -->
    <script src="../../vendorsflot.orderbars/js/jquery.flot.orderBars.js"></script>
    <script src="../../vendorsflot-spline/js/jquery.flot.spline.min.js"></script>
    <script src="../../vendorsflot.curvedlines/curvedLines.js"></script>
    <!-- DateJS -->
    <script src="../../vendorsDateJS/build/date.js"></script>
    <!-- JQVMap -->
    <script src="../../vendorsjqvmap/dist/jquery.vmap.js"></script>
    <script src="../../vendorsjqvmap/dist/maps/jquery.vmap.world.js"></script>
    <script src="../../vendorsjqvmap/examples/js/jquery.vmap.sampledata.js"></script>

    <!-- Custom Theme Scripts -->
    <script src="../build/js/custom.min.js"></script>
  </head>

  <body>
    <div class="">
      <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">

          <?php

            // Obtiene el nombre de la encuesta
              $query_encuesta = "SELECT nom_encuesta FROM tb_encuesta WHERE cod_encuesta = ".$filtro_encuesta;

              if ($res_encuesta = mysqli_query($enlace, $query_encuesta)) {
                if (mysqli_num_rows($res_encuesta) > 0) {
                  while($row_encuesta = mysqli_fetch_assoc($res_encuesta)) {
                    echo '<div class="row" style="margin:10px; background-color:rgb(255,176,13);">';
                      echo '<div class="col-md-12 col-sm-12 col-xs-12">';
                        echo '<center><h3 style="font-size: 18px"><font color="white">';
                          echo "RESULTADOS PARA ".strtoupper($row_encuesta["nom_encuesta"]);
                        echo '</font></h3></center>';
                      echo '</div>';
                    echo '</div>';
                  }
                }
              }

            // Obtiene los grupos definidos en LimeSurvvey
              // $query_g = "SELECT gid, group_name FROM lime_groups WHERE sid = '".$filtro_encuesta."' AND gid IN(".$in.")";

              $query_g = "SELECT lime_questions.gid, lime_groups.group_name FROM lime_questions INNER JOIN lime_groups ON lime_questions.gid = lime_groups.gid WHERE lime_questions.sid = ".$filtro_encuesta." GROUP BY lime_questions.gid, lime_groups.group_name, lime_groups.group_order ORDER BY lime_groups.group_order";

              if ($res_g = mysqli_query($enlacehost, $query_g)) {
                if (mysqli_num_rows($res_g) > 0) {
                  while($row_g = mysqli_fetch_assoc($res_g)) {
                    echo '<div class="row" style="margin:10px;">';
                      echo '<div class="col-md-12 col-sm-12 col-xs-12" style="background-color:rgb(92,184,92)">';
                        echo '<center><h2 style="font-size: 18px"><span class="label label-success">';
                          echo str_replace('_', ' ', strtoupper($row_g["group_name"]));
                        echo '</span></h2></center>';
                      echo '</div>';
                    echo '</div>';

                    // Obtiene listado de preguntas
                      if ($filtro_encuesta == 215671){
                        // Determina el tipo de cuestionario
                          $q_tipocuestionario = "SELECT 215671X20X246 AS tipo_cuestionario FROM ".$nom_tabla." WHERE id = ".$id;

                          if ($res_tipocuestionario = mysqli_query($enlace, $q_tipocuestionario)) {
                            if (mysqli_num_rows($res_tipocuestionario) > 0) {
                              while($row_tipocuestionario = mysqli_fetch_assoc($res_tipocuestionario)) {
                                $tipo_cuestionario = $row_tipocuestionario["tipo_cuestionario"];
                              }
                            }
                          }

                          if ($row_g["gid"] == 20){
                            $query = "SELECT qid, CASE WHEN `parent_qid` > 0 THEN CONCAT(sid, 'X', (SELECT PG.gid FROM lime_questions PG WHERE PG.sid = lime_questions.sid AND PG.qid = lime_questions.parent_qid), 'X', lime_questions.parent_qid, title) ELSE CONCAT(sid, 'X', gid, 'X', qid) END AS cod_pregunta, question AS des_pregunta FROM lime_questions WHERE sid = ".$filtro_encuesta." AND gid = ".$row_g["gid"];
                          }
                          else{
                            $query = "SELECT qid, CASE WHEN `parent_qid` > 0 THEN CONCAT(sid, 'X', (SELECT PG.gid FROM lime_questions PG WHERE PG.sid = lime_questions.sid AND PG.qid = lime_questions.parent_qid), 'X', lime_questions.parent_qid, title) ELSE CONCAT(sid, 'X', gid, 'X', qid) END AS cod_pregunta, question AS des_pregunta FROM lime_questions WHERE sid = ".$filtro_encuesta." AND gid = ".$row_g["gid"]." AND (relevance = 1 OR relevance = '(((!is_empty(215671X20X246.NAOK) && (215671X20X246.NAOK == ".$tipo_cuestionario."))))')";
                          }
                      }
                      else{

                      }
                      // $query = "SELECT Id, cod_pregunta, cod2_pregunta, des_pregunta FROM tb_config_PreguntasEncuestas WHERE cod_encuesta = '".$filtro_encuesta."' AND cod_pregunta LIKE '".$filtro_encuesta."X".$row_g["gid"]."%' AND estado_pregunta = 'A' ORDER BY orden_pregunta";

                      if ($resultado = mysqli_query($enlacehost, $query)) {
                        if (mysqli_num_rows($resultado) > 0) {
                          while($row = mysqli_fetch_assoc($resultado)) {
                            echo '<div class="col-md-6 col-sm-12 col-xs-12"">';
                              echo '<div class="x_panel">';
                                // Arma los títulos o textos de preguntas
                                echo '<div class="x_title" style="height:70px">';
                                    // echo '<b>('.$row["cod2_pregunta"].') - '.$row["des_pregunta"].'</b>';
                                    echo '<b>'.$row["des_pregunta"].'</b>';

                                  echo '<div class="clearfix"></div>';
                                echo '</div>';

                                // Arma los ProgressBar en función a los resultados
                                echo '<div class="x_content">';
                                  echo '<div class="col-xs-12 bg-white progress_summary">';
                                    // Agrega elementos (alternatvias)
                                    // $query_alternativa = "SELECT cod_alternativa, etiqueta_alternativa, color_alternativa FROM tb_config_PreguntasEncuestasPersonalizadas WHERE cod_pregunta = '".$row["cod_pregunta"]."' ORDER BY orden_alternativa";

                                  $query_alternativa = "SELECT code AS cod_alternativa, answer AS etiqueta_alternativa, CASE WHEN code = 'NA' THEN '#3d414c' ELSE CASE WHEN code = 1 THEN '#00a388' ELSE '#d6000a' END END AS color_alternativa FROM lime_answers WHERE qid = '".$row["qid"]."' ORDER BY sortorder";

                                    if ($res_alternativa = mysqli_query($enlacehost, $query_alternativa)) {
                                      if (mysqli_num_rows($res_alternativa) > 0) {
                                        while($row_alternativa = mysqli_fetch_assoc($res_alternativa)) {
                                          // Obtiene porcentaje por alternativa
                                          // $query = "SELECT COUNT(".$row["cod_pregunta"].") AS num_rows FROM ".$nom_tabla." WHERE Periodo <> 'TOTAL' AND cod_anho = '".$filtro_anho."' AND cod_mes = ".$filtro_mes." ".$filtros." AND ".$row["cod_pregunta"]." = ".$row_alternativa["cod_alternativa"]." ";
                                          $query = "SELECT COUNT(`".$row["cod_pregunta"]."`) AS num_rows FROM ".$nom_tabla." WHERE id = ".$id." AND `".$row["cod_pregunta"]."` = '".$row_alternativa["cod_alternativa"]."' ";

                                          $porc_alternativa = 0;

                                          if ($res_porc = mysqli_query($enlace, $query)) {
                                            if (mysqli_num_rows($res_porc) > 0) {
                                              while($row_porc = mysqli_fetch_assoc($res_porc)) {
                                                // $porc_alternativa = $row_porc["num_rows"];

                                                // $porc_alternativa = round(($porc_alternativa / $tot_rows) * 100);

                                                if ($row_porc["num_rows"] == 0){
                                                  $porc_alternativa = 0;
                                                }
                                                else{
                                                  $porc_alternativa = 100;
                                                }
                                                
                                              }
                                            }
                                            mysqli_free_result($res_porc);
                                          }

                                          // Coloca etiqueta
                                          echo '<div class="row">';
                                            echo '<div class="col-xs-3">';
                                              echo '<span>';
                                                echo $row_alternativa["etiqueta_alternativa"];
                                              echo '</span>';
                                            echo '</div>';

                                            // Carga Progressbar
                                            echo '<div class="col-xs-8">';
                                              echo '<div class="progress progress_sm active">';
                                                echo '<div class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="'.$porc_alternativa.'" style="width: '.$porc_alternativa.'%; background-color:'.$row_alternativa["color_alternativa"].';" data-transitiongoal="'.$porc_alternativa.'"></div>';
                                              echo '</div>';
                                            echo '</div>';

                                            // Pinta porcentaje
                                            // echo '<div class="col-xs-2 more_info">';
                                            //   echo '<span>';
                                            //     echo $porc_alternativa."%";
                                            //   echo '</span>';
                                            // echo '</div>';
                                          echo '</div>';
                                        }
                                      }
                                      else{// Se presentan las imágenes
                                        $query_alternativa = "SELECT ".$row["cod_pregunta"]." AS etiqueta_alternativa, ".$row["cod_pregunta"]."_filecount AS imagen FROM ".$nom_tabla." WHERE id = ".$id;

                                        if ($res_alternativa = mysqli_query($enlace, $query_alternativa)) {
                                          if (mysqli_num_rows($res_alternativa) > 0) {
                                            while($row_alternativa = mysqli_fetch_assoc($res_alternativa)) {
                                              echo '<div class="row">';
                                                echo '<div class="col-xs-10">';

                                                  $etiqueta = $row_alternativa["etiqueta_alternativa"];

                                                  // Determinando si se trata de una imagen
                                                    if ($row_alternativa["imagen"] == 1){
                                                      // Título
                                                      $pos_fin = strpos($etiqueta, '","');

                                                      $new_etiqueta  = substr($etiqueta, $pos_fin + 3);
                                                      $etiqueta  = substr($etiqueta, 12, $pos_fin - 12);

                                                      echo '<p>';
                                                        echo 'Título: <b>'.$etiqueta.'</b>';
                                                      echo '</p>';

                                                      // Comentario
                                                      $pos_fin = strpos($new_etiqueta, '","');

                                                      $new_etiqueta  = substr($new_etiqueta, 10, $pos_fin - 10);

                                                      echo '<p>';
                                                        echo 'Comentario: <b>'.$new_etiqueta.'</b>';
                                                      echo '</p>';

                                                      // Archivo
                                                      $archivo = $row_alternativa["etiqueta_alternativa"];
                                                      $pos_ini = strpos($archivo, '"filename":"');

                                                      $archivo = substr($archivo, $pos_ini + 12);
                                                      $pos_fin = strpos($archivo, '","');

                                                      $archivo  = substr($archivo, 0, $pos_fin);

                                                      // ver imagen
                                                      echo '<p>';
                                                        echo 'Ver imagen: <b><a target="_blank" class="success" href="http://185.144.156.181/limesurvey/upload/surveys/'.$filtro_encuesta.'/files/'.$archivo.'"><font color="red">Clic aquí para abrir imagen</font></a></b>';
                                                      echo '</p>';

                                                      echo '<br/>';
                                                      echo '<p>';
                                                        echo '<font color="#696d5f">* La carga de imágenes podría tomar algunos segundos en abrir dependiendo del tamaño del archivo.</font>';
                                                      echo '</p>';
                                                    }
                                                    else{
                                                      echo $etiqueta;
                                                    }
                                                    
                                                echo '</div>';
                                              echo '</div>';
                                            }
                                          }
                                        }
                                        else{// Recibe las respuestas abiertas
                                          $query_alternativa = "SELECT ".$row["cod_pregunta"]." AS etiqueta_alternativa FROM ".$nom_tabla." WHERE id = ".$id;

                                          if ($res_alternativa = mysqli_query($enlace, $query_alternativa)) {
                                            if (mysqli_num_rows($res_alternativa) > 0) {
                                              while($row_alternativa = mysqli_fetch_assoc($res_alternativa)) {
                                                echo '<div class="row">';
                                                  echo '<div class="col-xs-8">';
                                                    echo $row_alternativa["etiqueta_alternativa"];
                                                  echo '</div>';
                                                echo '</div>';
                                              }
                                            }
                                          }
                                        }
                                      }
                                      mysqli_free_result($res_alternativa);
                                    }

                                  echo '</div>';
                                echo '</div>';
                              echo '</div>';
                            echo '</div>';
                          }
                        }
                        mysqli_free_result($resultado);
                      }
                  }
                }

                mysqli_free_result($res_g);
              }
          ?>

        </div>
      </div>
    </div>
  </body>
</html>